## clinkc-av-gnomevfs 3.2%2b0m5

=== debian/changelog ===
clinkc-av-gnomevfs (3.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Mika Linnanoja <mika.linnanoja@nokia.com>  Wed, 13 May 2009 21:33:17 +0300

clinkc-av-gnomevfs (3.2) unstable; urgency=low

  * Fixes: NB#114282 - ImageViewer canot exit after checked a picture on 
    a UPnP server.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 06 May 2009 13:16:43 +0300

clinkc-av-gnomevfs (3.1) unstable; urgency=low

  * Added configure target to debian/rules file.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 20 Apr 2009 11:17:09 +0300

clinkc-av-gnomevfs (3.0) unstable; urgency=low

  * Renamed libgupnp0 GnomeVFS plugin to clinkc-av-gnomevfs.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 27 Nov 2008 14:58:36 +0200

libgupnp (2.15) unstable; urgency=low

  * Removed gnome_vfs_file_info_clear() call. Fixes: NB#82411

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 14 Mar 2008 11:09:08 +0200

libgupnp (2.14) unstable; urgency=low

  * Use tell() in http_method for HTTP URLs. Fixes: NB#80853

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 19 Feb 2008 15:20:18 +0200

libgupnp (2.13) unstable; urgency=low

  * Clear file info in upnpav_determine_fileinfo(). Fixes: NB#79147

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  5 Feb 2008 10:47:43 +0200

libgupnp (2.12) unstable; urgency=low

  * Fixed to compile with GCC 4.x toolchain.
  * Fixed few lintian warnings.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  3 Jan 2008 16:10:48 +0200

libgupnp (2.11) unstable; urgency=low

  * Set invalidated nodes to NULL. Fixes: NB#74268

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  2 Nov 2007 15:44:50 +0200

libgupnp (2.10) unstable; urgency=low

  * "MIME detection failure" is a debug message. Fixes: NB#70904

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 25 Sep 2007 14:53:36 +0300

libgupnp (2.9) unstable; urgency=low

  * Added some sanity checks.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 29 Jun 2007 09:32:38 +0300

libgupnp (2.8) unstable; urgency=low

  * Ignore URLs having non-HTTP scheme. Fixes: NB#40938

 -- Aapo Makela <aapo.makela@nokia.com>  Wed,  6 Jun 2007 14:38:17 +0300

libgupnp (2.7) unstable; urgency=low

  * Add audio/mpegurl to file extension guesser.
  * Check hostnames for NULL. Fixes: NB#55985

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  4 May 2007 13:38:14 +0300

libgupnp (2.6) unstable; urgency=low

  * Use workaround when reading from buggy N95. Fixes: NB#54187

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 27 Apr 2007 14:21:32 +0300

libgupnp (2.5) unstable; urgency=low

  * Improved logging.
  * Resolve HTTP file info only for file size.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 27 Apr 2007 11:09:14 +0300

libgupnp (2.4) unstable; urgency=low

  * Global flag to define, if HTTP file info should be used.
  * Remove con_ic_connection_disconnect(). Fixes: NB#54714

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 20 Apr 2007 10:49:28 +0300

libgupnp (2.3) unstable; urgency=low

  * Use static mutexes. Fixes: NB#53990

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 11 Apr 2007 12:41:43 +0300

libgupnp (2.2) unstable; urgency=low

  * Fixed libgupnp-test package.
  * Fixed GLIB critical when uninitializing upnpav module.
  * Increase IOP and guess extension based on few common MIME types.
  * Fixed SEARCH_WAIT
  * Destroy control point in idle func. Eliminates possible deadlock.
    Fixes: NB#53712

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  3 Apr 2007 11:56:49 +0300

libgupnp (2.1) unstable; urgency=low

  * Hildon consolidation changes.
  * Removed unused dependencies.
  * Fixed upnpav scheme to work like file scheme. Fixes: NB#50827

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  9 Mar 2007 13:03:04 +0200

libgupnp (2.0) unstable; urgency=low

  * Escape paths properly, when eventing. Fixes: NB#49560
  * Added checks for "HTTP file info URLs" and added blacklist for
    broken/slowly responding hosts. Fixes: NB#43047
  * Fixed a crash with some URLs in upnpav_monitor_add().
    Fixes: NB#49818
  * Added generation of a debug package. Fixes: NB#49869

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 18 Dec 2006 13:48:26 +0200

libgupnp (1.22) unstable; urgency=low

  * More robust mime typing. Fixes: NB#44016

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 14 Dec 2006 08:25:31 +0200

libgupnp (1.21) unstable; urgency=low

  * Start controlpoint in init only if proper interface exists. 
    Fixes: NB#43047 
  * Things may change when tree_mutex is unlocked. Fixes: NB#46322
  * Return errors, if missing metadata is not found. Fixes: NB#46751

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 24 Nov 2006 08:37:47 +0200

libgupnp (1.20) unstable; urgency=low

  * Fixed end of directory check. Fixes: NB#44947 

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 25 Oct 2006 11:00:26 +0300

libgupnp (1.19) unstable; urgency=low

  * Perform M-SEARCH when the specified file is not found. Fixes: NB#41215
  * Added NULL check before deleting XML nodelist. Fixes: NB#40990

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 27 Sep 2006 13:25:52 +0300

libgupnp (1.18) unstable; urgency=low

  * Destroy CP when unsupported bearer is connected. Fixes: NB#40605
  * Modified logic in iap_listener. Fixes: #NB40171

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 20 Sep 2006 11:52:35 +0300

libgupnp (1.17) unstable; urgency=low

  * Restructured code. Added essential error and debug output.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 15 Sep 2006 13:19:31 +0300

libgupnp (1.16) unstable; urgency=low

  * Made event handling more simple (robust).
  * Fixed SSDP search completion wait.
  * Copyright cleanup

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 11 Sep 2006 18:46:05 +0300

libgupnp (1.15) unstable; urgency=low

  * Removed some unnecessary words. Fixes: #NB39113
  * Advanced MIME type resolution for resources.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  7 Sep 2006 15:38:55 +0300

libgupnp (1.14) unstable; urgency=low


