## clinkc-av-gnomevfs 3.2+0m5

=== debian/control ===
Source: clinkc-av-gnomevfs
Section: libs
Priority: optional
Maintainer: Aapo Makela <aapo.makela@nokia.com>
Build-Depends: debhelper (>= 4.0.0), clinkc-av-dev (>= 1.0-13), clinkc-dev (>= 1.0-19), libosso-dev, libosso-gnomevfs2-dev, libgconf2-dev, libconic0-dev (>= 0.5), libhildonmime-dev
Standards-Version: 3.6.0

Package: clinkc-av-gnomevfs
Section: libs
Architecture: any
Replaces: libgupnp0
Conflicts: libgupnp0
Depends: ${shlibs:Depends}, ${misc:Depends}, clinkc-av0, libconic0
Description: GnomeVFS plugin for browsing UPnP/AV media servers
 This is Clinkc AV based GnomeVFS plugin for browsing UPnP/AV media servers.

Package: clinkc-av-gnomevfs-dbg
Section: devel
Architecture: any
Depends: clinkc-av-gnomevfs (= ${Source-Version})
Description: Debug symbols for UPnP/AV GnomeVFS plugin
 Package containing debug symbols for UPnP/AV GnomeVFS plugin.

Package: clinkc-av-gnomevfs-test
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clinkc-av-gnomevfs
Description: Testing binaries for clinkc-av-gnomevfs
 Includes binaries for testing clinkc-av-gnomevfs
